Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

## Class AmendmentInformationDetailsSEPA

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_03.AmendmentInformationDetailsSEPA

    public class AmendmentInformationDetailsSEPA
    extends java.lang.Object

Java class for AmendmentInformationDetailsSEPA complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmendmentInformationDetailsSEPA">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OrgnlMndtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}Max35Text" minOccurs="0"/>
             <element name="OrgnlCdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}PartyIdentificationSEPA4" minOccurs="0"/>
             <element name="OrgnlDbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}CashAccountSEPAMandate" minOccurs="0"/>
             <element name="OrgnlDbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}BranchAndFinancialInstitutionIdentificationSEPA2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentificationSEPA4` `orgnlCdtrSchmeId`
`protected CashAccountSEPAMandate` `orgnlDbtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSEPA2` `orgnlDbtrAgt`
`protected java.lang.String` `orgnlMndtId`

### Constructor Summary

Constructors
`AmendmentInformationDetailsSEPA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentificationSEPA4` `getOrgnlCdtrSchmeId()` Gets the value of the orgnlCdtrSchmeId property.
`CashAccountSEPAMandate` `getOrgnlDbtrAcct()` Gets the value of the orgnlDbtrAcct property.
`BranchAndFinancialInstitutionIdentificationSEPA2` `getOrgnlDbtrAgt()` Gets the value of the orgnlDbtrAgt property.
`java.lang.String` `getOrgnlMndtId()` Gets the value of the orgnlMndtId property.
`void` `setOrgnlCdtrSchmeId​(PartyIdentificationSEPA4 value)` Sets the value of the orgnlCdtrSchmeId property.
`void` `setOrgnlDbtrAcct​(CashAccountSEPAMandate value)` Sets the value of the orgnlDbtrAcct property.
`void` `setOrgnlDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA2 value)` Sets the value of the orgnlDbtrAgt property.
`void` `setOrgnlMndtId​(java.lang.String value)` Sets the value of the orgnlMndtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgnlMndtId

    protected java.lang.String orgnlMndtId

#### orgnlCdtrSchmeId

    protected PartyIdentificationSEPA4 orgnlCdtrSchmeId

#### orgnlDbtrAcct

    protected CashAccountSEPAMandate orgnlDbtrAcct

#### orgnlDbtrAgt

    protected BranchAndFinancialInstitutionIdentificationSEPA2 orgnlDbtrAgt

### Constructor Detail

#### AmendmentInformationDetailsSEPA

    public AmendmentInformationDetailsSEPA()

### Method Detail

#### getOrgnlMndtId

    public java.lang.String getOrgnlMndtId()

Gets the value of the orgnlMndtId property.

Returns:
  possible object is `String`

#### setOrgnlMndtId

    public void setOrgnlMndtId​(java.lang.String value)

Sets the value of the orgnlMndtId property.

Parameters:
  `value` - allowed object is `String`

#### getOrgnlCdtrSchmeId

    public PartyIdentificationSEPA4 getOrgnlCdtrSchmeId()

Gets the value of the orgnlCdtrSchmeId property.

Returns:
  possible object is `PartyIdentificationSEPA4`

#### setOrgnlCdtrSchmeId

    public void setOrgnlCdtrSchmeId​(PartyIdentificationSEPA4 value)

Sets the value of the orgnlCdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentificationSEPA4`

#### getOrgnlDbtrAcct

    public CashAccountSEPAMandate getOrgnlDbtrAcct()

Gets the value of the orgnlDbtrAcct property.

Returns:
  possible object is `CashAccountSEPAMandate`

#### setOrgnlDbtrAcct

    public void setOrgnlDbtrAcct​(CashAccountSEPAMandate value)

Sets the value of the orgnlDbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSEPAMandate`

#### getOrgnlDbtrAgt

    public BranchAndFinancialInstitutionIdentificationSEPA2 getOrgnlDbtrAgt()

Gets the value of the orgnlDbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSEPA2`

#### setOrgnlDbtrAgt

    public void setOrgnlDbtrAgt​(BranchAndFinancialInstitutionIdentificationSEPA2 value)

Sets the value of the orgnlDbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSEPA2`